﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace WindowsFormsApplication23
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("Column 0", typeof(String));
            dt.Columns.Add("Column 1", typeof(int));
            dt.Rows.Add(new object[] { "A", 2});
            dt.Rows.Add(new object[] { "B", 1 });
            dt.Rows.Add(new object[] { "C", 0 });
            dt.AcceptChanges();

            this.ultraTree1.SetDataBinding(dt, null);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.ultraTree1.Nodes.ColumnSetResolved.Columns["Column 1"].SortType = Infragistics.Win.UltraWinTree.SortType.Ascending;
        }

        private void ultraTree1_ColumnSetGenerated(object sender, Infragistics.Win.UltraWinTree.ColumnSetGeneratedEventArgs e)
        {
            e.ColumnSet.Columns["Column 1"].Visible = false;   
        }
    }
}
